/******************************************************************************
*******************************************************************************

	Space Impakto DS
	relminator
	http://rel.betterwebber.com


	barrage patterns


*******************************************************************************
******************************************************************************/


#include <nds.h>

#include <math.h>
#include <vector>

#include "Cvector2df32.h"
#include "cearn_atan.h"
#include "Cbullet.h"
#include "Cturret.h"

#define BRAD_PI 16384 

#ifndef barrage__H
#define barrage__H

static const s32 BULLET_SPEED =  0.75 * (1 << 12); 

void barrage_dummy(Cturret &turret, int active_time, int delay, s32 angle, const Cglsprite *sprites);
void barrage_4way_normal(Cturret &turret, int active_time, int delay, s32 angle, const Cglsprite *sprites);
void barrage_4way(Cturret &turret, int active_time, int delay, s32 angle, const Cglsprite *sprites);
void barrage_spray(Cturret &turret, int active_time, int delay, s32 angle, const Cglsprite *sprites);
void barrage_spray_delta(Cturret &turret, int active_time, int delay, s32 angle, const Cglsprite *sprites);
void barrage_wasak_centered(Cturret &turret, int active_time, int delay, s32 angle, const Cglsprite *sprites);
void barrage_spray_reverse(Cturret &turret, int active_time, int delay, s32 angle, const Cglsprite *sprites);
void barrage_volcano(Cturret &turret, int active_time, int delay, s32 angle, const Cglsprite *sprites);
void barrage_rings_smart(Cturret &turret, int active_time, int delay, s32 angle, const Cglsprite *sprites);
void barrage_test(Cturret &turret, int active_time, int delay, s32 angle, const Cglsprite *sprites);
#endif
